using System.Web.Mvc;
using System.Web.Routing;

namespace Benevolaide {
	public class RouteConfig {
		public static void RegisterRoutes(RouteCollection routes) {
			routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

			routes.MapRoute(
					name: "Default",
					url: "index",
					defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
			);

			routes.MapRoute(
					name: "About",
					url: "about",
					defaults: new { controller = "Home", action = "About", id = UrlParameter.Optional }
					);

			routes.MapRoute(
					name: "Admin",
					url: "Admin",
					defaults: new { controller = "Home", action = "Admin", id = UrlParameter.Optional }
					);

			routes.MapRoute(
					name: "Dashboard",
					url: "Dashboard",
					defaults: new { controller = "Home", action = "Dashboard", id = UrlParameter.Optional }
					);

			routes.MapRoute(
								name: "beneficiaire/list",
								url: "beneficiare/list",
								defaults: new { controller = "Beneficiare", action = "List", id = UrlParameter.Optional }
						);

			routes.MapRoute(
					name: "beneficiaire/edit",
					url: "beneficiare/edit",
					defaults: new { controller = "Beneficiare", action = "Edit", id = UrlParameter.Optional }
			);

			routes.MapRoute(
					name: "beneficiaire/view",
					url: "beneficiare/view",
					defaults: new { controller = "Beneficiare", action = "View", id = UrlParameter.Optional }
			);

			routes.MapRoute(
								name: "benevole/list",
								url: "benevole/list",
								defaults: new { controller = "Benevole", action = "List", id = UrlParameter.Optional }
						);

			routes.MapRoute(
					name: "benevole/Edit",
					url: "benevole/Edit",
					defaults: new { controller = "Benevole", action = "Edit", id = UrlParameter.Optional }
			);


		}
	}
}
